package com.xinelu.manage.domain.basesportinfo;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 运动知识库对象 base_sport_info
 *
 * @author xinelu
 * @date 2024-05-16
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "运动知识库对象", description = "base_sport_info")
public class BaseSportInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 运动名称
     */
    @ApiModelProperty(value = "运动名称")
    @Excel(name = "运动名称")
    private String sportName;

    /**
     * 运动类型ID（字典表）
     */
    @ApiModelProperty(value = "运动类型ID")
    @Excel(name = "运动类型ID", readConverterExp = "字=典表")
    private Long sportTypeId;

    /**
     * 运动类型名称
     */
    @ApiModelProperty(value = "运动类型名称")
    @Excel(name = "运动类型名称")
    private String sportTypeName;

    /**
     * 运动方式
     */
    @ApiModelProperty(value = "运动方式")
    @Excel(name = "运动方式")
    private String sportWay;

    /**
     * 运动频率
     */
    @ApiModelProperty(value = "运动频率")
    @Excel(name = "运动频率")
    private String sportFrequency;

    /**
     * 每次运动时长
     */
    @ApiModelProperty(value = "每次运动时长")
    @Excel(name = "每次运动时长")
    private String sportDuration;

    /**
     * 运动时间
     */
    @ApiModelProperty(value = "运动时间")
    @Excel(name = "运动时间")
    private String sportTime;

    /**
     * 运动强度
     */
    @ApiModelProperty(value = "运动强度")
    @Excel(name = "运动强度")
    private String sportIntensity;

    /**
     * 运动注意事项
     */
    @ApiModelProperty(value = "运动注意事项")
    @Excel(name = "运动注意事项")
    private String sportAttention;

    /**
     * 动作说明
     */
    @ApiModelProperty(value = "动作说明")
    @Excel(name = "动作说明")
    private String sportRemark;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("sportName", getSportName())
                .append("sportTypeId", getSportTypeId())
                .append("sportTypeName", getSportTypeName())
                .append("sportWay", getSportWay())
                .append("sportFrequency", getSportFrequency())
                .append("sportDuration", getSportDuration())
                .append("sportTime", getSportTime())
                .append("sportIntensity", getSportIntensity())
                .append("sportAttention", getSportAttention())
                .append("sportRemark", getSportRemark())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
